<section class="page-section">
  <header class="page-section__header">
    <h2 class="page-section__title">Liste des campagnes</h2>
  </header>
  <div class="content-text content-text--small">
    <div class="table-admin">
      <table>
        <thead>
          <tr>
            <th class="table__column table__column--medium">ID</th>
            <th>Code</th>
            <th>Type</th>
            <th>Nom</th>
            <th class="table__column">Créée le</th>
            <th>Créée par</th>
            <th class="table-admin-break-word">Propriétaire</th>
            <th class="table__column table__column--medium">Archivée le</th>
          </tr>
        </thead>

        {{#if @campaigns}}
          <tbody>
            {{#each @campaigns as |campaign|}}
              <tr aria-label="campagne">
                <td class="table__column table__column--id">
                  <LinkTo @route="authenticated.campaigns.campaign" @model={{campaign.id}}>
                    {{campaign.id}}
                  </LinkTo>
                </td>
                <td class="table-admin-break-word">{{campaign.code}}</td>
                <td>
                  {{if (eq campaign.type "ASSESSMENT") "Évaluation" "Collecte de profils"}}
                </td>
                <td class="table-admin-break-word">{{campaign.name}}</td>
                <td class="table-admin-break-word">{{dayjs-format campaign.createdAt "DD/MM/YYYY"}}</td>
                <td class="table-admin-break-word">{{campaign.creatorFirstName}} {{campaign.creatorLastName}}</td>
                <td class="table-admin-break-word">{{campaign.ownerFirstName}} {{campaign.ownerLastName}}</td>
                <td class="table-admin-break-word">
                  {{#if campaign.archivedAt}}
                    {{dayjs-format campaign.archivedAt "DD/MM/YYYY"}}
                  {{else}}
                    -
                  {{/if}}
                </td>
              </tr>
            {{/each}}
          </tbody>
        {{/if}}
      </table>

      {{#unless @campaigns}}
        <div class="table__empty">Aucune campagne</div>
      {{/unless}}
    </div>
    {{#if @campaigns}}
      <PixPagination @pagination={{@campaigns.meta}} />
    {{/if}}
  </div>
</section>